package com.itbaizhan.travel.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.itbaizhan.travel.pojo.Role;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RoleMapper extends BaseMapper<Role> {
    //查询用户拥有权限的id
    List<Integer> findRoleIdByAdmin(Integer aid);

    //删除角色的所有权限
    void deleteRoleAllPermission(Integer rid);

    //分配角色权限
    void addRolePermission(@Param("rid") Integer rid,@Param("pid") Integer pid);
}
